import { IBootstrapper } from '../../definition';
export declare class WebBootstrapper implements IBootstrapper {
    private readonly domAccessor;
    private readonly environment;
    private readonly eventManager;
    private readonly settings;
    private readonly uiFactory;
    /**
     * @stable [01.10.2019]
     * @param {() => void} callback
     */
    init(callback: (() => void)): void;
    /**
     * @stable [01.10.2019]
     */
    protected addRootElement(): void;
    /**
     * @stable [01.10.2019]
     */
    protected initErrorHandler(): void;
    /**
     * @stable [01.10.2019]
     */
    protected initGA(): void;
    /**
     * @stable [01.10.2019]
     */
    protected applyClasses(): void;
    /**
     * @stable [01.10.2019]
     * @param args
     */
    private gtag;
    /**
     * @stable [@stable [01.10.2019]]
     * @returns {IBootstrapSettings}
     */
    private readonly bSettings;
    /**
     * @stable [01.10.2019]
     * @returns {Window}
     */
    private readonly window;
}
