import { ConnectorMapperT, IUniversalContainerCtor, IUniversalContainerProps, IUniversalStoreEntity } from '../../definition';
/**
 * @stable [16.11.2019]
 * @param {IUniversalContainerCtor} containerCtor
 * @param {ConnectorMapperT<TStoreEntity extends IUniversalStoreEntity>} mappers
 * @returns {IUniversalContainerCtor}
 */
export declare const universalConnectorFactory: <TStoreEntity extends IUniversalStoreEntity<{}, {}> = IUniversalStoreEntity<{}, {}>>(containerCtor: IUniversalContainerCtor<IUniversalContainerProps, {}>, ...mappers: ConnectorMapperT<TStoreEntity>[]) => IUniversalContainerCtor<IUniversalContainerProps, {}>;
