import * as React from 'react';
import { AnyT } from '../../../definitions.interface';
import { BaseContainer } from '../../base';
import { IFilterFormDialogContainerProps } from './filter-form-dialog.interface';
import { Dialog } from '../dialog.component';
export declare class FilterFormDialogContainer extends BaseContainer<IFilterFormDialogContainerProps<React.RefObject<Dialog<AnyT>>>> {
    /**
     * @stable [10.03.2019]
     * @param {IFilterFormDialogContainerProps} props
     */
    constructor(props: IFilterFormDialogContainerProps<React.RefObject<Dialog<AnyT>>>);
    /**
     * @stable [12.03.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [10.03.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [10.03.2019]
     */
    private onAcceptFilter;
    /**
     * @stable [10.03.2019]
     */
    private onClearFilter;
    /**
     * @stable [12.03.2019]
     * @returns {boolean}
     */
    private readonly noFilterChanges;
}
