/// <reference types="react" />
import { DateField } from '../datefield';
import { IDateNavigatorProps, IDateNavigatorState } from './date-navigator.interface';
export declare class DateNavigator extends DateField<IDateNavigatorProps, IDateNavigatorState> {
    static defaultProps: IDateNavigatorProps;
    private delayedTask;
    /**
     * @stable [29.10.2018]
     * @param {IDateNavigatorProps} props
     */
    constructor(props: IDateNavigatorProps);
    /**
     * @stable [30.10.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [30.10.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [08.01.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [07.01.2019]
     */
    private onLeft;
    /**
     * @stable [07.01.2019]
     */
    private onRight;
    /**
     * @stable [07.01.2019]
     * @param {number} durationToAdd
     */
    private doManualChangeDate;
    /**
     * @stable [30.10.2018]
     */
    private doDelay;
    /**
     * @stable [07.01.2019]
     * @returns {string}
     */
    private getDisplayValue;
}
