/// <reference types="react" />
import { BaseCheckbox } from '../checkbox';
import { ISwitchProps, ISwitchState } from './switch.interface';
export declare class Switch extends BaseCheckbox<ISwitchProps, ISwitchState> {
    /**
     * @stable [26.05.2019]
     * @returns {JSX.Element}
     */
    protected getInputElement(): JSX.Element;
    /**
     * @stable [28.10.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
