"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var react_layout_view_builder_1 = require("./react-layout-view.builder");
var universal_layout_builder_1 = require("./universal-layout.builder");
var LayoutBuilder = /** @class */ (function (_super) {
    __extends(LayoutBuilder, _super);
    /**
     * @stable [22.10.2018]
     * @param {ILayoutViewBuilder<React.ReactNode>} layoutViewBuilder
     */
    function LayoutBuilder(layoutViewBuilder) {
        if (layoutViewBuilder === void 0) { layoutViewBuilder = new react_layout_view_builder_1.ReactLayoutViewBuilder(); }
        return _super.call(this, layoutViewBuilder) || this;
    }
    /**
     * @stable [22.10.2018]
     * @param {ReactLayoutBuilderChildrenT} item
     * @returns {string}
     */
    LayoutBuilder.prototype.getClonedItemKey = function (item) {
        return item.props.key || _super.prototype.getClonedItemKey.call(this, item);
    };
    return LayoutBuilder;
}(universal_layout_builder_1.UniversalLayoutBuilder));
exports.LayoutBuilder = LayoutBuilder;
//# sourceMappingURL=react-layout.builder.js.map