import { IComponent, ISelectedElementComponentProps, IUniversalPlugin } from '../../definition';
export declare class SelectedElementPlugin implements IUniversalPlugin {
    private readonly component;
    private readonly domAccessor;
    /**
     * @stable [23.10.2019]
     * @param {IComponent} component
     */
    constructor(component: IComponent<ISelectedElementComponentProps>);
    /**
     * @stable [23.10.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [25.10.2019]
     */
    componentDidUpdate(): void;
    /**
     * @stable [08.11.2019]
     */
    private refreshScrollPosition;
    /**
     * @stable [26.10.2019]
     * @returns {Element}
     */
    private readonly selectedElement;
    /**
     * @stable [08.11.2019]
     * @returns {Element}
     */
    private readonly stickyElement;
}
