"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var notification_interface_1 = require("./notification.interface");
var NotificationActionBuilder = /** @class */ (function () {
    function NotificationActionBuilder() {
    }
    NotificationActionBuilder.buildErrorAction = function (error) {
        return redux_effects_promise_1.EffectsAction.create(notification_interface_1.NOTIFICATION_ERROR_ACTION_TYPE, { error: error });
    };
    NotificationActionBuilder.buildInfoAction = function (info) {
        return redux_effects_promise_1.EffectsAction.create(notification_interface_1.NOTIFICATION_INFO_ACTION_TYPE, { info: info });
    };
    return NotificationActionBuilder;
}());
exports.NotificationActionBuilder = NotificationActionBuilder;
//# sourceMappingURL=notification-action.builder.js.map