"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var di_1 = require("../../di");
var middleware_1 = require("../middleware");
var toolbar_tools_action_builder_1 = require("../../component/toolbar-tools/toolbar-tools-action.builder");
/**
 * @stable [11.03.2019]
 */
function makeToolbarToolsEffectsProxy(config) {
    var toolbarToolsRefreshMiddleware = middleware_1.makeToolbarToolsRefreshMiddleware(config);
    return function () {
        var Effects = /** @class */ (function () {
            function Effects() {
            }
            Effects_1 = Effects;
            /**
             * @stable [11.03.2019]
             * @returns {IEffectsAction[]}
             */
            Effects.prototype.$onRefresh = function () {
                return toolbarToolsRefreshMiddleware;
            };
            var Effects_1;
            __decorate([
                redux_effects_promise_1.EffectsService.effects(toolbar_tools_action_builder_1.ToolbarToolsActionBuilder.buildRefreshActionType(config.listSection)),
                __metadata("design:type", Function),
                __metadata("design:paramtypes", []),
                __metadata("design:returntype", Object)
            ], Effects.prototype, "$onRefresh", null);
            Effects = Effects_1 = __decorate([
                di_1.provideInSingleton(Effects_1)
            ], Effects);
            return Effects;
        }());
    };
}
exports.makeToolbarToolsEffectsProxy = makeToolbarToolsEffectsProxy;
//# sourceMappingURL=toolbar-tools-effects.proxy.js.map