"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var notification_1 = require("../../notification");
/**
 * @stable [29.11.2019]
 * @param {INotificationErrorMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
exports.makeNotificationErrorMiddleware = function (config) {
    return [
        notification_1.NotificationActionBuilder.buildErrorAction(config.error || (config.action && config.action.error))
    ];
};
/**
 * @stable [29.11.2019]
 * @param {INotificationInfoMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
exports.makeNotificationInfoMiddleware = function (config) {
    return [
        notification_1.NotificationActionBuilder.buildInfoAction(config.message || (config.action && config.action.data))
    ];
};
//# sourceMappingURL=notification.middleware.js.map