"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var stack_interface_1 = require("./stack.interface");
var StackActionBuilder = /** @class */ (function () {
    function StackActionBuilder() {
    }
    StackActionBuilder.buildLockAction = function (nextSection) {
        return redux_effects_promise_1.EffectsAction.create(stack_interface_1.STACK_LOCK_ACTION_TYPE, nextSection);
    };
    StackActionBuilder.buildRemoveAction = function () {
        var sections = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            sections[_i] = arguments[_i];
        }
        return redux_effects_promise_1.EffectsAction.create(stack_interface_1.STACK_REMOVE_ACTION_TYPE, sections);
    };
    return StackActionBuilder;
}());
exports.StackActionBuilder = StackActionBuilder;
//# sourceMappingURL=stack-action.builder.js.map