import { IClassNameWrapper, IFullWrapper } from '../definitions.interface';
/**
 * @stable [11.09.2019]
 * @param {IClassNameWrapper & IFullWrapper} entity
 * @returns {string}
 */
export declare const fullFlexClassName: (entity: IClassNameWrapper<string> & IFullWrapper<boolean>) => string;
/**
 * @stable [30.08.2019]
 * @param {string} parts
 * @returns {string}
 */
export declare const joinClassName: (...parts: string[]) => string;
