"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var base_select_component_1 = require("./base-select.component");
var util_1 = require("../../../util");
var Select = /** @class */ (function (_super) {
    __extends(Select, _super);
    function Select() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Select.prototype, "filteredOptions", {
        /**
         * @stable [30.11.2019]
         * @returns {ISelectOptionEntity[]}
         */
        get: function () {
            var _this = this;
            return this.options.filter(function (option) { return option.value !== _this.value; });
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @stable [30.11.2019]
     * @returns {string}
     */
    Select.prototype.getFieldClassName = function () {
        return util_1.joinClassName(_super.prototype.getFieldClassName.call(this), 'rac-select');
    };
    Select.defaultProps = {
        forceReload: true,
        preventFocus: true,
    };
    return Select;
}(base_select_component_1.BaseSelect));
exports.Select = Select;
//# sourceMappingURL=select.component.js.map