/// <reference types="react" />
import { BaseGridColumn } from '../base-column';
import { IGridColumnProps } from '../../../definition';
export declare class GridColumn extends BaseGridColumn {
    /**
     * @stable [18.10.2019]
     * @param {IGridColumnProps} props
     */
    constructor(props: IGridColumnProps);
    /**
     * @stable [18.10.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [18.10.2019]
     */
    private onColumnClick;
}
