import { IUniversalDialog2, INativeMaterialDialogComponent } from '../../dialog';
import { MaterialPlugin } from './material.plugin';
export declare class DialogMaterialPlugin<TDialog extends IUniversalDialog2> extends MaterialPlugin<TDialog, INativeMaterialDialogComponent> {
    /**
     * @stable [04.10.2018]
     * @param {TDialog} dialog
     */
    constructor(dialog: TDialog);
    /**
     * @stable [17.06.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [17.06.2019]
     */
    private activate;
    /**
     * @stable [04.10.2018]
     */
    private deactivate;
    /**
     * @stable [17.06.2019]
     */
    private onDialogClosed;
}
