"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_1 = require("../base");
var flex_1 = require("../layout/flex");
var Title = /** @class */ (function (_super) {
    __extends(Title, _super);
    function Title() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [03.10.2018]
     * @returns {JSX.Element}
     */
    Title.prototype.render = function () {
        var props = this.props;
        return (React.createElement(flex_1.FlexLayout, { full: false, row: true, alignItemsCenter: true, className: util_1.toClassName('rac-title-wrapper', props.bordered !== false && 'rac-title-wrapper-bordered', props.className) },
            React.createElement(flex_1.FlexLayout, { full: false, className: 'rac-title' }, this.t(props.children)),
            props.items));
    };
    return Title;
}(base_1.BaseComponent));
exports.Title = Title;
//# sourceMappingURL=title.component.js.map