"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [28.05.2019]
 */
exports.FIELD_DISPLAY_EMPTY_VALUE = '';
exports.FIELD_VALUE_TO_CLEAR_DIRTY_CHANGES = definitions_interface_1.UNDEF;
exports.ID_FIELD_NAME = 'id';
/**
 * @stable [30.10.2019]
 */
var FieldActionTypesEnum;
(function (FieldActionTypesEnum) {
    FieldActionTypesEnum["ATTACH_FILE"] = "attach_file";
    FieldActionTypesEnum["CALENDAR"] = "calendar";
    FieldActionTypesEnum["CLOSE"] = "close";
    FieldActionTypesEnum["DOWNLOAD"] = "download";
    FieldActionTypesEnum["DROP_DOWN"] = "dropdown";
    FieldActionTypesEnum["VIDEO"] = "video";
})(FieldActionTypesEnum = exports.FieldActionTypesEnum || (exports.FieldActionTypesEnum = {}));
/**
 * @stable [30.10.2019]
 */
var FieldActionPositionsEnum;
(function (FieldActionPositionsEnum) {
    FieldActionPositionsEnum[FieldActionPositionsEnum["LEFT"] = 0] = "LEFT";
    FieldActionPositionsEnum[FieldActionPositionsEnum["RIGHT"] = 1] = "RIGHT";
})(FieldActionPositionsEnum = exports.FieldActionPositionsEnum || (exports.FieldActionPositionsEnum = {}));
/**
 * @stable [24.11.2019]
 * @type {IGenericFieldEntity}
 */
exports.GENERIC_FIELD_PASSWORD_TYPE_ENTITY = Object.freeze({
    autoComplete: 'new-password',
    type: 'password',
});
//# sourceMappingURL=field-definition.interface.js.map