"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [16.11.2019]
 */
var ContainerVisibilityTypesEnum;
(function (ContainerVisibilityTypesEnum) {
    ContainerVisibilityTypesEnum[ContainerVisibilityTypesEnum["PUBLIC"] = 0] = "PUBLIC";
    ContainerVisibilityTypesEnum[ContainerVisibilityTypesEnum["PRIVATE"] = 1] = "PRIVATE";
})(ContainerVisibilityTypesEnum = exports.ContainerVisibilityTypesEnum || (exports.ContainerVisibilityTypesEnum = {}));
/**
 * @stable [09.10.2019]
 */
exports.ROUTER_NAVIGATE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.navigate";
exports.ROUTER_REPLACE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.replace";
exports.ROUTER_REWRITE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.rewrite";
exports.ROUTER_BACK_ACTION_TYPE = exports.ROUTER_NAVIGATE_ACTION_TYPE + ".back";
exports.ROUTER_RELOAD_ACTION_TYPE = exports.ROUTER_NAVIGATE_ACTION_TYPE + ".reload";
//# sourceMappingURL=router-definition.interface.js.map